<!-- tableau liste plans -->
<!-- TODO: add role display view control -->
<div class="main-container">
  <div class="table-header container-fluid d-flex ">
    <div class="table-title container-fluid d-flex align-items-center">
      <app-add-type-erreur-popup></app-add-type-erreur-popup>
      <h1 class="text-grey">Types d'erreurs</h1>
    </div>
    <span class="span-link text-no-wrap d-flex align-items-center" (click)="redirect('gestionnaire-de-types-d-erreurs')"
       style="cursor: pointer;">
      Gestionnaire de Types d'Erreurs</span>
  </div>
  <div class="table-container table-responsive">
    <table class="table table-striped text-grey">
      <caption>Tableau de la liste des types d'erreurs</caption>
      <thead>
      <tr>
        <th class="center sm" scope="col">#</th>
        <th class="center sm" scope="col">Status</th>
        <th class="center sm" scope="col">Priorité</th>
        <th class="center sm" scope="col">Niveau</th>
        <th scope="col">Intitulé</th>
        <th class="col" scope="col">Détails</th>
        <th class="center sm" scope="col">Aperçu</th>

      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let type of types; index as index "
          id="{{ type.id }}">
        <th scope="row"
            class="center sm text-grey"
            *ngIf="!type.archive">{{ type.id }}</th>
        <td class="center text-grey justify-content-center"
            (click)="redirect('dashboard-type', type)"
            style="cursor: pointer;"
            *ngIf="!type.archive">
          <span *ngIf="!type.archive"
                class="actif status d-flex align-items-center m-0">actif</span>
          <span *ngIf="type.archive"
                class="inactif status d-flex align-items-center m-0">inactif</span>
        </td>
        <td class="center text-grey justify-content-center"
            (click)="redirect('dashboard-type', type)"
            style="cursor: pointer;"
            *ngIf="!type.archive">
          <span *ngIf="type.priorite && type.priorite == 1"
                style="background-color: red"
                class="priorite status d-flex align-items-center m-0">urgent</span>
          <span *ngIf="type.priorite && type.priorite == 2"
                style="background-color: orange"
                class="priorite status d-flex align-items-center m-0">important</span>
          <span *ngIf="type.priorite && type.priorite == 3"
                style="background-color: yellowgreen"
                class="priorite status d-flex align-items-center m-0">standard</span>
          <span *ngIf="type.priorite && type.priorite == 4"
                style="background-color: yellow"
                class="priorite status d-flex align-items-center m-0">optionnel</span>
          <span *ngIf="!type.priorite"
                style="background-color: grey"
                class="priorite status d-flex align-items-center m-0">indéterminée</span>
        </td>
        <td class="text-grey justify-content-center"
            (click)="redirect('dashboard-type', type)"
            style="cursor: pointer;"
            *ngIf="!type.archive">
          <span *ngIf="type.niveau && type.niveau == 1"
                [style.background]="type.couleur"
                class="niveau status d-flex align-items-center m-0">critique</span>
          <span *ngIf="type.niveau && type.niveau == 2"
                [style.background]="type.couleur"
                class="niveau status d-flex align-items-center m-0">modéré</span>
          <span *ngIf="type.niveau && type.niveau == 3"
                [style.background]="type.couleur"
                class="niveau status d-flex align-items-center m-0">standard</span>
          <span *ngIf="type.niveau && type.niveau == 4"
                [style.background]="type.couleur"
                class="niveau status d-flex align-items-center m-0">faible</span>
          <span *ngIf="!type.niveau"
                class="niveau status d-flex align-items-center m-0"
                style="background-color: grey">indéterminé</span>
        </td>
        <td class="text-grey'"
            (click)="redirect('dashboard-type', type)"
            style="cursor: pointer;"
            *ngIf="!type.archive">
           {{ type.nom }}
        </td>
        <td class="text-grey" (click)="redirect('dashboard-type', type)" *ngIf="!type.archive">{{ type.details }}</td>
        <!--
        <td id="version{{ plan.plan_id }}">{{ plan.projet.version }}</td>
        -->
        <td id="aperçu{{ type.id }}}"
            (click)="onClick($event, type)"
            style="cursor: pointer;"
            class="center sm text-grey"
            *ngIf="!type.archive">
          <img src="../../../assets/16x16.png" alt="eye-icon">
        </td>
      </tr>
      <tr *ngIf="!types?.length">
        <td colspan="7" style="text-align: center">Aucun plan à afficher</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>

<!-- Modal Plan-->
<div class="modal" id="myModal" [style.display]="showModal ? 'block' : 'none'">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Détails du Type d'Erreur : {{ typeNom }}</h4>
        <button type="button" class="close" data-dismiss="modal" (click) = "hide()">&times;</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body">
        <p>Type d'Erreur Id : {{ typeId }}</p>
        <p>Intitulé : {{ typeNom }}</p>
        <p>Détails : {{ typeDetails }}</p>

        <!--
        <p>Version : {{ planProjet.version }}</p>
        -->
      </div>
      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal" (click) = "hide()">Close</button>
      </div>
    </div>
  </div>
</div>
